%def_with ladcca

Name: vkeybd
Version: 0.1.17a
Release: alt3
Epoch: 1

Summary: Virtual keyboard for AWE, MIDI and ALSA drivers
Summary(ru_RU.KOI8-R):  MIDI-  AWE, MIDI  ALSA-
Group: Sound
License: GPL
Url: http://www.alsa-project.org/~iwai/alsa.html
Packager: Alexander Myltsev <avm@altlinux.ru>

Source: http://www.alsa-project.org/~iwai/%name-%version.tar.gz
Source1: %name.png

%define tcl_ver 8.5.1-alt1
%define tk_ver 8.5.1-alt1
%define ladcca_ver 0.4.0

Requires: tcl >= %tcl_ver, tk >= %tk_ver

%if_with ladcca
Requires: libladcca >= %ladcca_ver
BuildPreReq: libladcca-devel >= %ladcca_ver
%endif

BuildPreReq: tcl-devel >= %tcl_ver
BuildPreReq: tk-devel >= %tk_ver

# Automatically added by buildreq on Fri Feb 16 2007
BuildRequires: libladcca-devel tk-devel

%description
This is a virtual keyboard for AWE, MIDI and ALSA drivers.
It's a simple fake of a MIDI keyboard on X-windows system.
Enjoy a music with your mouse and "computer" keyboard :-)

This program supports:
  - ALSA sequencer
  - MIDI device on OSS and ALSA

%description -l ru_RU.KOI8-R
Vkeybd --     AWE, MIDI  ALSA-. 
,     MIDI-, 
  MIDI-    .

%prep
%setup -q -n %name
%__subst 's@CFLAGS = -Wall@CFLAGS = \$(RPM_OPT_FLAGS)@' Makefile

%build
%add_optflags -DUSE_NON_CONST
%make PREFIX=%prefix TCLLIB=-ltcl TKLIB=-ltk USE_AWE=0 \
%if_with ladcca
    USE_LADCCA=1
%endif

%install
%make_install PREFIX=%buildroot%prefix \
	      MAN_DIR=%buildroot%_mandir \
	      USE_AWE=0 \
	      install-all

# .desktop
%__mkdir_p %buildroot%_datadir/applications
%__cat <<__DESKTOP__ >%buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=%name
Comment=A Virtual Keyboard Instrument
Exec=%name
Icon=%name
Terminal=false
Type=Application
Categories=Application;AudioVideo;Music;Midi;
__DESKTOP__

# icon
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/%name.png

%files
%_bindir/%name
%_bindir/sftovkb
%_man1dir/%name.1*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%doc README

%changelog
* Sat Dec 27 2008 Alexander Myltsev <avm@altlinux.ru> 1:0.1.17a-alt3
- Fix placement of vkeybd.1 and a couple of repocop warnings.

* Wed Jun 18 2008 Alexander Myltsev <avm@altlinux.ru> 1:0.1.17a-alt2
- Rebuild with fresh Tcl/Tk (closes #15601).
- Disable AWE support (thanks lav@).
- Add additional categories to the desktop entry.

* Fri Feb 16 2007 Alex V. Myltsev <avm@altlinux.ru> 1:0.1.17a-alt1
- New version (added French keyboard layout)
- Fixed build, removed menu file.

* Sat Sep 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.17-alt1
- 0.1.17
- .desktop, menu files (thaqnks Suse for vkeybd.png)

* Wed Jan 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.15-alt1
- 0.1.15
- ladcca support enabled, required libladcca >= 0.4.0

* Sat Nov 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.14-alt1
- 0.1.14
- disable ladcca support, not ready for 0.4 yet.

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.13a-alt1
- 0.1.13a
- ladcca support enabled.
- summary, description by avp.

* Sun Dec 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.12-alt1
- new version.

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.11-alt1
- new version. 

* Mon Oct  7 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.1.11a-alt3
- rebuilt with tcl 8.4

* Mon Jun 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.11a-alt2
- rebuilt with new tcl/tk environment.

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.11a-alt1
- First build for Sisyphus.
